package dto

import (
	"github.com/gin-gonic/gin"
)

type Error struct {
	Code    int    `json:"code,omitempty"`
	Message string `json:"message,omitempty"`
}

func WrapErrorAsOpenAI(c *gin.Context, code int, msg string) {
	c.JSON(code, gin.H{
		"error": Error{
			Code:    code,
			Message: msg,
		},
	})
	c.Abort()
}
